> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Snapshot



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/collections/{collectionId}/releases/{releaseId}/snapshot
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{collectionId}/releases/{releaseId}/snapshot:
    get:
      tags:
        - Collection Releases
      summary: Snapshot
      operationId: CollectionReleasesController_snapshot_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: collectionId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: releaseId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            maximum: 100
            exclusiveMinimum: 0
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionReleaseSnapshotResponseDto'
      security:
        - bearer: []
components:
  schemas:
    CollectionReleaseSnapshotResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CollectionReleaseLineDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    CollectionReleaseLineDto:
      type: object
      properties:
        collectionEntryId:
          type: string
        position:
          type: number
        existed:
          type: boolean
          description: False when the line was created after the cut.
        archived:
          type: boolean
          description: True when it existed but was archived then.
        entryFields:
          type: array
          items:
            type: object
        referenceFields:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ReleasedReferenceLineDto'
      required:
        - collectionEntryId
        - position
        - existed
        - archived
        - entryFields
        - referenceFields
    ReleasedReferenceLineDto:
      type: object
      properties:
        referenceItemId:
          type: string
        fields:
          type: array
          items:
            type: object
      required:
        - referenceItemId
        - fields
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````